Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.change
Class NoOpChanges

    java.lang.Object
      org.modeshape.jcr.cache.change.NoOpChanges

All Implemented Interfaces:
  Changes

    @Immutable
    public final class NoOpChanges

extends Object
implements Changes

An immutable `Changes` implementation that does nothing.

Field Summary
`static NoOpChanges` | `INSTANCE`

Method Summary
`void` | `binaryValueNoLongerUsed(BinaryKey key)` Create an event that signals that the (stored) binary value with the supplied key is no longer used.
`void` | `nodeChanged(NodeKey key, Path path)` Create an event signifying that something about the node (other than the properties or location) changed.
`void` | `nodeCreated(NodeKey key, NodeKey parentKey, Path path, Map<Name,Property> properties)`
`void` | `nodeMoved(NodeKey key, NodeKey newParent, NodeKey oldParent, Path newPath, Path oldPath)`
`void` | `nodeRemoved(NodeKey key, NodeKey parentKey, Path path)`
`void` | `nodeRenamed(NodeKey key, Path path, Path.Segment oldName)`
`void` | `nodeReordered(NodeKey key, NodeKey parent, Path newPath, Path oldPath, Path reorderedBeforePath)`
`void` | `nodeSequenced(NodeKey sequencedNodeKey, Path sequencedNodePath, NodeKey outputNodeKey, Path outputNodePath, String outputPath, String userId, String selectedPath, String sequencerName)`
`void` | `nodeSequencingFailure(NodeKey sequencedNodeKey, Path sequencedNodePath, String outputPath, String userId, String selectedPath, String sequencerName, Throwable cause)`
`void` | `propertyAdded(NodeKey key, Path nodePath, Property property)`
`void` | `propertyChanged(NodeKey key, Path nodePath, Property newProperty, Property oldProperty)`
`void` | `propertyRemoved(NodeKey key, Path nodePath, Property property)`
`void` | `workspaceAdded(String workspaceName)`
`void` | `workspaceRemoved(String workspaceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NoOpChanges INSTANCE

Method Detail

### workspaceAdded

    public void workspaceAdded(String workspaceName)

  Specified by:
    `workspaceAdded` in interface `Changes`

### workspaceRemoved

    public void workspaceRemoved(String workspaceName)

  Specified by:
    `workspaceRemoved` in interface `Changes`

### nodeCreated

    public void nodeCreated(NodeKey key,
                            NodeKey parentKey,
                            Path path,
                            Map<Name,Property> properties)

  Specified by:
    `nodeCreated` in interface `Changes`

### nodeMoved

    public void nodeMoved(NodeKey key,
                          NodeKey newParent,
                          NodeKey oldParent,
                          Path newPath,
                          Path oldPath)

  Specified by:
    `nodeMoved` in interface `Changes`

### nodeChanged

    public void nodeChanged(NodeKey key,
                            Path path)

  Description copied from interface: `Changes`
  Create an event signifying that something about the node (other than the properties or location) changed.

  Specified by:
    `nodeChanged` in interface `Changes`
  Parameters:
    `key` - the node key; may not be null
    `path` - the path

### nodeRemoved

    public void nodeRemoved(NodeKey key,
                            NodeKey parentKey,
                            Path path)

  Specified by:
    `nodeRemoved` in interface `Changes`

### nodeRenamed

    public void nodeRenamed(NodeKey key,
                            Path path,
                            Path.Segment oldName)

  Specified by:
    `nodeRenamed` in interface `Changes`

### propertyAdded

    public void propertyAdded(NodeKey key,
                              Path nodePath,
                              Property property)

  Specified by:
    `propertyAdded` in interface `Changes`

### propertyRemoved

    public void propertyRemoved(NodeKey key,
                                Path nodePath,
                                Property property)

  Specified by:
    `propertyRemoved` in interface `Changes`

### propertyChanged

    public void propertyChanged(NodeKey key,
                                Path nodePath,
                                Property newProperty,
                                Property oldProperty)

  Specified by:
    `propertyChanged` in interface `Changes`

### binaryValueNoLongerUsed

    public void binaryValueNoLongerUsed(BinaryKey key)

  Description copied from interface: `Changes`
  Create an event that signals that the (stored) binary value with the supplied key is no longer used.

  Specified by:
    `binaryValueNoLongerUsed` in interface `Changes`
  Parameters:
    `key` - the key for the now-unused binary value; may not be null

### nodeReordered

    public void nodeReordered(NodeKey key,
                              NodeKey parent,
                              Path newPath,
                              Path oldPath,
                              Path reorderedBeforePath)

  Specified by:
    `nodeReordered` in interface `Changes`

### nodeSequenced

    public void nodeSequenced(NodeKey sequencedNodeKey,
                              Path sequencedNodePath,
                              NodeKey outputNodeKey,
                              Path outputNodePath,
                              String outputPath,
                              String userId,
                              String selectedPath,
                              String sequencerName)

  Specified by:
    `nodeSequenced` in interface `Changes`

### nodeSequencingFailure

    public void nodeSequencingFailure(NodeKey sequencedNodeKey,
                                      Path sequencedNodePath,
                                      String outputPath,
                                      String userId,
                                      String selectedPath,
                                      String sequencerName,
                                      Throwable cause)

  Specified by:
    `nodeSequencingFailure` in interface `Changes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.